> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List entity types

> Returns all KYT entity types with their machine-readable codes and human-readable labels.



## OpenAPI

````yaml https://api.dataspike.io/openapi/kyt/public.json get /api/v4/kyt/entity-types
openapi: 3.1.0
info:
  description: >-
    Know Your Transaction (KYT) — blockchain address, transaction and transfer
    risk analysis.
  title: Dataspike KYT API
  version: '4.0'
servers: []
security: []
paths:
  /api/v4/kyt/entity-types:
    get:
      tags:
        - Entity Types
      summary: List entity types
      description: >-
        Returns all KYT entity types with their machine-readable codes and
        human-readable labels.
      operationId: GET_/api/v4/kyt/entity-types
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
            application/xml:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
          description: OK
        default:
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/EntityType'
                type: array
            application/xml:
              schema:
                items:
                  $ref: '#/components/schemas/EntityType'
                type: array
          description: Entity types.
components:
  schemas:
    EntityType:
      description: EntityType schema
      properties:
        type:
          example: SANCTIONS
          type: string
        type_label:
          example: Sanctions
          type: string
      type: object

````